PANEL_ADD_ITEM(3)

FUNCTION
panel_add_item - Add an item to a panel.

SYNOPSIS
#include <karma_panel.h>

KPanelItem panel_add_item

(KControlPanel panel, char *name, char *comment, unsigned int type, void *value_ptr, ...)

DESCRIPTION
This routine will add a panel item to a KControlPanel object. Each panel item has a number of "attributes". First come the "core" attributes, follwed by the optional attributes. Below are the core attributes:

panel
    The control panel to add to.

name
    The name of the panel item.

comment
    the comment (eg. name of the units: "(km/sec)").

type
    The type of the panel item. See <-ds_KARMA_DATA_TYPES-> and <-panel_ITEM_TYPES-> for legal values.

value_ptr
    A pointer to the panel item data storage.

... The optional attributes are given as pairs of attribute-key attribute-value pairs. This list must be terminated with the value PIA_END. See <-panel_ATTRIBUTES-> for a list of defined attributes.

RETURN VALUE
A KPanelItem object on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/